package emps.v1_nieobiektowo;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

// P3_SredniaWszystkich - oblicz średnią pensję wszystkich pracowników

public class P3_SredniaWszystkich {

	public static void main(String[] args) {
		try(Scanner scanner = new Scanner(new File("emps.csv"))) {
			scanner.nextLine();
			int suma = 0;
			int ile = 0;
			while(scanner.hasNextLine()) {
				String linia = scanner.nextLine();
				String[] t = linia.split(";");
				int salary = Integer.parseInt(t[4]);
				suma += salary;
				ile++;
			}
			double srednia = (double)suma / ile;
			System.out.println(srednia);
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
	}

}
